# SteamPlay-Custom

When selecting this tool, the *Steam Client* will launch a different program depending on the AppID.

## Configuration

You can define the program it launches via the **~/.config/steamcustomrc** file. An example is provided in the **example/** directory.

The config syntax is as follows:

`appid:application with parameters`

In the case of Unreal:

`13250:unreal`

Each line contains its an appid and a launch command, separated by a `:` symbol.
Only the first instance of an AppID is recognized.
You can supply as many parameters as you like.

If you'd like to enable the *Steam Client* to append its launch parameters to your target as well, append this:

`appid:application with parameters`**`:parms`**

## Finding out AppIDs

Launch any application in Steam with this tool and you'll get a notification on your desktop. It displays the AppID it is trying to launch.

## History

I wrote a handful of compatibility tools that essentially did the same thing: Use the native version of a program or game.
This basically just streamlines all my previous tools into one.

## LICENSE

CC0
